Name:           qhull
Version:        2015.2
Release:        7
Summary:        General dimension convex hull programs
License:        Qhull
URL:            http://www.qhull.org
Source0:        http://www.qhull.org/download/qhull-2015-src-7.2.0.tgz

#Link executables against shared libs
Patch0001:      0001-Link-executables-against-shared-libs.patch
#Install docks into subdirs
Patch0002:      0002-Install-docs-into-subdirs.patch

BuildRequires:  gcc gcc-c++ cmake chrpath
Provides:       libqhull = %{version}-%{release} libqhull_r = %{version}-%{release} libqhull_p = %{version}-%{release}
Obsoletes:      libqhull < %{version}-%{release} libqhull_r < %{version}-%{release} libqhull_p < %{version}-%{release}

%description
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.

%package devel
Summary:        Development files for qhull
Requires:       %{name} = %{version}-%{release}

%description devel
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.

%package help
Summary:        Help package for qhull

%description help
This package provides man files and docs for qhull.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake
%make_build VERBOSE=1

%install
%make_install VERBOSE=1
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.*

%files
%license COPYING.txt
%{_bindir}/*
%{_libdir}/libqhull.so.*
%{_libdir}/libqhull_r.so.*
%{_libdir}/libqhull_p.so.*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files devel
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/libqhullcpp.a
%exclude %{_libdir}/libqhullstatic*.a

%files help
%{_pkgdocdir}
%{_mandir}/man1/*

%changelog
* Fri Mar 6 2020 lingsheng <lingsheng@huawei.com> - 2015.2-7
- Package init
